<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [isLogEnabled](./bitburner.ns.islogenabled.md)

## NS.isLogEnabled() method

Checks the status of the logging for the given NS function.

**Signature:**

```typescript
isLogEnabled(fn: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

fn


</td><td>

string


</td><td>

Name of function to check.


</td></tr>
</tbody></table>

**Returns:**

boolean

Returns a boolean indicating whether or not logging is enabled for that NS function (or `ALL`<!-- -->).

## Remarks

RAM cost: 0 GB

## Example


```js
ns.print(ns.isLogEnabled("hack")); // Check if logging is enabled for `ns.hack()`

```

